Subject: Re: bug#19350: #19350 24.4; Incorrect quoting of %-signs for Windows command shell

From: Eli Zaretskii <[email-masked]>
Date: Thu, 18 Aug 2016 17:17:54 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Thu, 18 Aug 2016 08:07:41 -0400
> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
> 
> On Wed, Aug 17, 2016 at 10:02 PM, Demi Obenour <[email-masked]> wrote:
> > But *nix has no such feature [environment variables affect shell escaping], nor the associated gotcha.
> 
> I'm not sure what you're trying to point out here. Why does that
> matter? We're talking about Windows, not *nix.

Indeed.  When I wrote "as shell prompt" I meant the Windows shell, not
the Unix shell.  Emacs tries to hide the OS idiosyncrasies as much as
it can, but that's not possible everywhere.